# Interface LengthPrefixedBytesLayoutItem

#### Hierarchy

- LayoutItemBase<"bytes">
  - LengthPrefixedBytesLayoutItem

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:47

#####
Index

### Properties

binary
custom?
lengthEndianness?
lengthSize?

## Properties

### `Readonly` binary

binary: "bytes"

Inherited from LayoutItemBase.binary

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:21

### `Optional` `Readonly` custom

custom?: layout.CustomConversion<Uint8Array, any>

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:50

### `Optional` `Readonly` lengthEndianness

lengthEndianness?: Endianness

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:49

### `Optional` `Readonly` lengthSize

lengthSize?: NumberSize

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:48

Generated using TypeDoc